function str = file2str(filename)
%This function reads an entire file, and stores it as a string.
%
%Input:
%filename - a file that is e.g. .txt, .dat, .asc, .mpf and etc.
%
%Output: 
%str - the file used for input is now a string.
%
%Author: Emir Lejlic
%Date:   15.03.13


%Opens a textfile that is in the same directory as this function.
fid = fopen(filename,'r');
%Stores the textfile into a string.
str = fscanf(fid,'%c');
%Closes the file.
fclose(fid);

end
