function str = file2str(filename)
% file2str - reads a whole text file into a string
%
% Input
% filename - a string containing a filename
%
% Output
% str - a string
%
% $Author: elizabep $ $DateTime: 2011/05/20 17:06:36 $

% $Id: //depot/felles/Marinlab/main/files/file2str.m#1 $

% Programmed by:  Philippe Maincon,   2007-06-28

[fid,message] = fopen(filename,'r'); assert(fid>0,'Unable to read file %s : %s',filename,message);
str = fscanf(fid,'%c'); 
fclose(fid);